<?php
    session_start(); 
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/check.php');
	$opendb=new mydb();
	require_once('inc/char_set.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<title>无标题文档</title>
	</head>

	<body>
<?PHP
	$picNameOld=$_POST['PicOld'];
	$ls=$_POST['ls'];
	//$subcateName=replaceCatesName($_POST['subcateName']);
	$subcateName=trim($_POST['subcateName']);
	$ChangecatePagePic=$_POST['ChangecatePagePic'];
	
	$image=$_FILES['productPic']['name'];   
	$size=$_FILES['productPic']['size'];   
	$type=$_FILES['productPic']['type'];
	
	//获得中类名称，用来判断此类下是否有同名的小类
	$midcateName = trim($_POST['midcateName']);
	$cateTitle=$_POST['cateTitle'];
	$cateKeywords=$_POST['cateKeywords'];
	$cateDescription=$_POST['cateDescription'];
	
	$subcateBrief=str_replace("\n","<br />",htmlspecialchars($_POST['subcateBrief'], ENT_QUOTES));
	
	$subcateDetail=$_POST['subcateDetail'];
	
	$subcateFolders_str = $_POST['subcateFolders'];
	if(preg_match("/[\x7f-\xff]/", $subcateFolders_str)){
		$subcateFolders=Pinyin($subcateFolders_str,1);
	}else{
		$subcateFolders=$subcateFolders_str;
	}
	if($subcateFolders=="")				//如果没有设目录则截取
	{$subcateFolders=$subcateName;}
	$subcateFolders=trim(clearFolder(strtolower(substr_cut($subcateFolders,$FolderLength))));
	
	$subcateID=$_POST['subcateID'];
	$midcate_id=$_POST['midcate_id'];
	$midcateName=trim($_POST['midcateName']);
	if($subcateID!=""){
		$midcate_sql="select * from ls_products where ID='".$midcate_id."' ";
		$midcate_query=$opendb->query($midcate_sql);
		$midcate_rows=mysql_fetch_assoc($midcate_query);
		$midcateFolders=$midcate_rows['midcateFolders'];
		$cateID=$midcate_rows['midcateID'];
	
		$cate_sql="select * from ls_products where ID=".$cateID." ";
		$cate_query=$opendb->query($cate_sql);
		$cate_rows=mysql_fetch_assoc($cate_query);
		$cateFolders=$cate_rows['cateFolders'];
	}
	
	$path = "../".$cateFolders."/".$midcateFolders."/".$subcateFolders;
	
	
	switch ($ls){
		case "insert":
			$subcateName = str_replace("'","''",$subcateName);
			// 开始判断是否有重复的
			$select_sql="select * from ls_products where subcateName='".$subcateName."' and midcateName='".$midcateName."'";
			$select_query=$opendb->query($select_sql);
			$select_rows=mysql_num_rows($select_query);
			if($select_rows==0)
			{
				//调用建立文件夹函数 createFolder
				createFolder($path);
				if($ChangecatePagePic=="yes")
				{
					//判断图像格式
					if ($type == "image/gif" || $type == "image/png" || $type == "image/pjpeg" || $type == "image/jpeg" )
						{
							if($size < $PicSize) //开始判断图像大小
							{
		
								$randomnum=NULL;
								for($j=0;$j<=5;$j++)//随机数字的长度，本例随机数长度为6
								{
								srand((double)microtime()*1000000);
								$randomnumber=rand(!$j ? 1: 0,9);//产生随机数，不以0为第一个数，有些特殊的地方0开头被系统省略
								$randomnum.=$randomnumber;
								}
								
								$dest=date("Ymd").time().$randomnum;//设置文件名为时间戳加上随机数避免重复
		
								$pic = $_FILES['productPic']['name'];
								$pic=substr($pic,(strlen($pic)-4),strlen($pic));
								$picName = $dest.$pic;
								$pathBigPic = $path."/".$picName;
								//上传文件
								move_uploaded_file($_FILES['productPic']['tmp_name'], $pathBigPic);
							}
							else
							{
								echo "	<script>alert('图像最大为".$PicSize."！');history.go(-1);</script>";
							}
						}
						else
						{
							echo "	<script>alert('请选择图片上传，或者你选择的文件不符合要求!\\n只允许格式 .gif .png .jpeg');history.go(-1);</script>";
						}
		
					//echo $update_sql;
					//更新数据
				}
				
				createFolder($path);
				//echo 	$path;				
				$select_sql2="select * from ls_products where subcateID=".$subcateID." ";
				$select_query2=$opendb->query($select_sql2);
				$select_rows2=mysql_num_rows($select_query2); //总类树
											
				$insert_sql=sprintf("insert into ls_products 											(cateTitle,cateKeywords,cateDescription,subcateName,subcateFolders,subcateBrief,catePic,subcateDetail,subcateID,Num,enable) values (%s,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s) ",
											GetSQLValueString($cateTitle, "text"),
											GetSQLValueString($cateKeywords, "text"),
											GetSQLValueString($cateDescription, "text"),
											GetSQLValueString($subcateName, "text"),
											GetSQLValueString($subcateFolders, "text"),
											GetSQLValueString($subcateBrief, "text"),
											GetSQLValueString($picName, "text"),
											GetSQLValueString($subcateDetail, "text"),
											GetSQLValueString($subcateID, "text"),
											GetSQLValueString($select_rows2+1, "int"),
											GetSQLValueString("1", "int")
										 );
					//echo $insert_sql;
					$insert_query=$opendb->query($insert_sql);
					writelog($_SERVER['PHP_SELF'],"add sub-category: ".$subcateName,"ID: ".$id);
					echo "<script>alert('数据添加成功！');location='cate.php';</script>";
				}
				else
				{
					echo "<script>alert('已存在此小类名！\\n请填写别的小类名！');history.go(-1);</script>";	
				}
			break;
			
		case "update":
		
			if($ChangecatePagePic=="yes")
	  		{
				//判断图像格式
				if ($type == "image/gif" || $type == "image/png" || $type == "image/pjpeg" || $type == "image/jpeg" )
					{
						if($size < $PicSize) //开始判断图像大小
						{
							
							$oldbigpic=$path."/".$picNameOld;
							if($picNameOld != null)
							unlink($oldbigpic);		//delete old big pic
							
							$randomnum=NULL;
							for($j=0;$j<=5;$j++)//随机数字的长度，本例随机数长度为6
							{
							srand((double)microtime()*1000000);
							$randomnumber=rand(!$j ? 1: 0,9);//产生随机数，不以0为第一个数，有些特殊的地方0开头被系统省略
							$randomnum.=$randomnumber;
							}
							
							$dest=date("Ymd").time().$randomnum;//设置文件名为时间戳加上随机数避免重复
	
							$pic = $_FILES['productPic']['name'];
							$pic=substr($pic,(strlen($pic)-4),strlen($pic));
							$picName = $dest.$pic;
							$pathBigPic =$path."/".$picName;
							//上传文件
							move_uploaded_file($_FILES['productPic']['tmp_name'], $pathBigPic);
						}
						else
						{
							echo "	<script>alert('图像最大为".$PicSize."！');history.go(-1);</script>";
						}
					}
					else
					{
						echo "	<script>alert('请选择图片上传，或者你选择的文件不符合要求!\\n只允许格式 .gif .png .jpeg');history.go(-1);</script>";
					}
					
					$update_pic_sql=sprintf("update ls_products set catePic=%s where ID=%s",
					GetSQLValueString($picName, "text"),
					GetSQLValueString($subcateID, "int")
					);
				//更新产品图片
					$update_query=$opendb->query($update_pic_sql);
				//echo $update_sql;
				//更新数据
			}
				
				$select_sql="select * from ls_products where ID='".$subcateID."' ";
				$select_query=$opendb->query($select_sql);
				$select_rows=mysql_fetch_assoc($select_query);
				//获取文件夹路径
				$pathNew = "../".$cateFolders."/".$midcateFolders."/".$subcateFolders;
				$pathOld = "../".$cateFolders."/".$midcateFolders."/".$select_rows['subcateFolders'];
				if($pathNew!=$pathOld)
				{
					//文件夹换名
	  				rename($pathOld,$pathNew);
				}
				//开始更新数据
				$update_sql=sprintf("update ls_products set cateTitle=%s, cateKeywords=%s, cateDescription=%s, subcateName=%s, subcateFolders=%s,subcateBrief=%s,subcateDetail=%s where ID=%s ",
												GetSQLValueString($cateTitle, "text"),
												GetSQLValueString($cateKeywords, "text"),
												GetSQLValueString($cateDescription, "text"),
												GetSQLValueString($subcateName, "text"),
												GetSQLValueString($subcateFolders, "text"),
												GetSQLValueString($subcateBrief, "text"),
												GetSQLValueString($subcateDetail, "text"),
												GetSQLValueString($subcateID, "text")
												);
					//echo $update_sql;
					$update_query=$opendb->query($update_sql);
					writelog($_SERVER['PHP_SELF'],"modify sub-category: ".$subcateName,"ID: ".$subcateID);
					echo "<script>alert('数据更新成功！');location='cate.php';</script>";
			break;
	}
	
	if($_GET['ls']=="del")
	{
				$id=$_GET['id'];
				//echo $id;	
				$select_sql="select * from ls_products where ID=".$id."";
				$select_subcate_query=$opendb->query($select_sql);
				$select_subcate_rows=mysql_fetch_assoc($select_subcate_query);
				
				$select_mid_sql="select * from ls_products where ID='".$select_subcate_rows['subcateID']."'";
				$select_mid_cate_query=$opendb->query($select_mid_sql);
				$select_mid_cate_rows=mysql_fetch_assoc($select_mid_cate_query);
				
				$select_cate_sql="select * from ls_products where ID='".$select_mid_cate_rows['midcateID']."'";
				$select_cate_query=$opendb->query($select_cate_sql);
				$select_cate_rows=mysql_fetch_assoc($select_cate_query);
				
				//获取文件夹路径
				$path = "../".$select_cate_rows['cateFolders']."/".$select_mid_cate_rows['midcateFolders']."/".$select_subcate_rows['subcateFolders'];
				//删除文件夹
	   		   //echo $path."<br>";indexdetails.html
			   @unlink($path."/indexdetails.html");
		   	@unlink($path."/index.html");
	   		deldir($path);
	   		$del_sql="delete from ls_products where ID=".$id."";
	   		//echo $del_sql;
	   		$del_query=$opendb->query($del_sql);
			$num_sql2="update ls_products set Num=Num-1 where Num>".$select_subcate_rows['Num']." ";//all order number-1
			$down_query=$opendb->query($num_sql2);
			writelog($_SERVER['PHP_SELF'],"delete sub-category: ".$subcateName,"ID: ".$id);
	   		echo "<script>alert('数据删除成功！');location='cate.php';</script>";
	}
?>
</body>
</html>